Package be.fgov.ehealth.technicalconnector.ra.domain

# Class ContractRequest.Builder

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.domain.ContractRequest.Builder

Enclosing class:
  `ContractRequest`

public static final class ContractRequest.Builder extends Object
`ContractRequest` builder static inner class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractRequest`
  `build()`
  Returns a `ContractRequest` built from the parameters previously set.
  `ContractRequest.Builder`
  `certificateIdentifier(CertificateIdentifier certificateIdentifier)`
  Sets the `certificateIdentifier` and returns a reference to this Builder so that the methods can be chained together.
  `ContractRequest.Builder`
  `contactData(ContactData contactData)`
  Sets the `contactData` and returns a reference to this Builder so that the methods can be chained together.
  `ContractRequest.Builder`
  `signer(Actor signer)`
  Sets the `actor` and returns a reference to this Builder so that the methods can be chained together.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### contactData

    public ContractRequest.Builder contactData(ContactData contactData)
    Sets the `contactData` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `contactData` - the `contactData` to set
    Returns:
      a reference to this Builder

  - ### signer

    public ContractRequest.Builder signer(Actor signer)
    Sets the `actor` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `signer` - the `actor` to set
    Returns:
      a reference to this Builder

  - ### certificateIdentifier

    public ContractRequest.Builder certificateIdentifier(CertificateIdentifier certificateIdentifier)
    Sets the `certificateIdentifier` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `certificateIdentifier` - the `certificateIdentifier` to set
    Returns:
      a reference to this Builder

  - ### build

    public ContractRequest build() throws TechnicalConnectorException
    Returns a `ContractRequest` built from the parameters previously set.
    Returns:
      a `ContractRequest` built with parameters of this `ContractRequest.Builder`
    Throws:
      `TechnicalConnectorException`